List an endpoint's destinations
GET
/v1/endpoints/{id}/destinations
const url = 'https://api.hooks.events/v1/endpoints/example/destinations';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hooks.events/v1/endpoints/example/destinations \ --header 'Authorization: Bearer <token>'Requires the endpoints:read scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
required
Array<object>
object
id
required
Resource id
string
endpointId
required
string
name
required
string | null
type
required
Target adapter id; http is the generic webhook
string
url
required
string
status
required
string
consecutiveFailures
required
integer
pauseReason
required
string | null
method
required
string
bodyMode
required
string
createdAt
required
ISO-8601 timestamp
string
updatedAt
required
ISO-8601 timestamp
string
usage
required
Rate-limit defaults and current usage
object
key
additional properties
key
additional properties
nextCursor
required
Pass as ?cursor= to fetch the next page
string | null
key
additional properties
Example
{ "data": [ { "status": "active" } ]}Validation error
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Missing or invalid credentials
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}The credential lacks the required scope, or the workspace is not writable
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Resource not found
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Rate limited
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Headers
Section titled “Headers”X-RateLimit-Limit
integer
Requests allowed per window
X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer
Seconds until the window resets